/* Video player custom Component */
.rtds-video {
    position: relative;
    aspect-ratio: 16 / 9;
}
.rtds-video__iframe {
    aspect-ratio: 16 / 9;
    width: 100% !important;
}
.rtds-video__overlay {
    position: absolute;
    top: var(--spacing-0);
    right: var(--spacing-0);
    bottom: var(--spacing-0);
    left: var(--spacing-0);
    z-index: 10;
    background-color: rgb(0 0 0 / var(--tw-bg-opacity, 1));
    --tw-bg-opacity: 0.2;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 150ms;
}
.rtds-group:hover .rtds-video__overlay {
    --tw-bg-opacity: 0.4;
}
.rtds-video__overlay-image {
    display: block;
    height: 100%;
    width: 100%;
    -o-object-fit: cover;
       object-fit: cover;
    -o-object-position: center;
       object-position: center;
}
.rtds-video__play {
    position: absolute;
    top: var(--spacing-0);
    right: var(--spacing-0);
    bottom: var(--spacing-0);
    left: var(--spacing-0);
    z-index: 20;
    width: 100%;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 150ms;
}
.rtds-video__iframe:focus-visible,
    .rtds-video__play:focus-visible {
    --tw-shadow: 0 0 0 7px rgba(255,255,255,1);
    --tw-shadow-colored: 0 0 0 7px var(--tw-shadow-color);
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
    outline: 2px solid transparent;
    outline-offset: 2px;
    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);
    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);
    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);
    --tw-ring-color: var(--color-focusring);
    --tw-ring-offset-width: 2px;
    --tw-ring-offset-color: #ffffff;
}
.rtds-video__play-icon {
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 20;
    --tw-translate-x: -50%;
    --tw-translate-y: -50%;
    transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
        background-color: var(--color-background-primary);
}
